Name:          mesa-demos
Version:       8.4.0
Release:       3mamba
Summary:       Demos for the Mesa GL libraries
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://mesa3d.sourceforge.net
Source:        ftp://ftp.freedesktop.org/pub/mesa/demos/mesa-demos-%{version}.tar.bz2
Patch0:        %{name}-8.0.1-missing_headers.patch
Patch1:        mesa-demos-8.0.1-arm-tegra-es2gears-float.patch
Patch2:        mesa-demos-8.0.1-arm-tegra-eglut-VisualNoMask.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGLU-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libffi-devel
BuildRequires: libfreeglut-devel
BuildRequires: libgcc
BuildRequires: libglew-devel
BuildRequires: libglvnd-devel
BuildRequires: libmesa-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwayland-devel
BuildRequires: libwayland-egl-devel
BuildRequires: libxcb-devel
## AUTOBUILDREQ-END
BuildRequires: libmesa-devel

%description
Demos for the Mesa GL libraries.

%package -n mesa-tests
Summary:       Test and information tools for the Mesa libraries
Group:         System/X11
Provides:      Mesa-tools
Obsoletes:     Mesa-tools < 8.4.0-3mamba
Provides:      mesa-tools
Obsoletes:     mesa-tools < 8.4.0-3mamba

%description -n mesa-tests
Test and information tools for the Mesa libraries.

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
#%patch0 -p1
%ifarch arm
#%patch1 -p1
%patch2 -p1
%endif

%build
#:<< _EOF
%configure \
   --disable-vg

%make -j1
#LDADD="-lX11 -lpthread"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -D -m0755 src/egl/opengl/eglgears_x11 %{buildroot}%{_bindir}/eglgears
install -D -m0755 src/egl/opengl/eglinfo %{buildroot}%{_bindir}/eglinfo
#install -D -m0755 src/egl/opengles1/gears_x11 %{buildroot}%{_bindir}/es1gears
#install -D -m0755 src/egl/opengles1/es1_info %{buildroot}%{_bindir}/es1_info
install -D -m0755 src/egl/opengles2/es2gears_x11 %{buildroot}%{_bindir}/es2gears
install -D -m0755 src/egl/opengles2/es2_info %{buildroot}%{_bindir}/es2_info

rm -f %{buildroot}%{_bindir}/bitmap
rm -f %{buildroot}%{_bindir}/clear

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n mesa-tests
%defattr(-,root,root)
%{_bindir}/glxgears
%{_bindir}/glxinfo
%{_bindir}/eglgears
%{_bindir}/eglinfo
%{_bindir}/es2gears
%{_bindir}/es2_info

%files
%defattr(-,root,root)
%{_bindir}/*
%exclude %{_bindir}/glxgears
%exclude %{_bindir}/glxinfo
%exclude %{_bindir}/glxgears
%exclude %{_bindir}/glxinfo
%exclude %{_bindir}/eglgears
%exclude %{_bindir}/eglinfo
%exclude %{_bindir}/es2gears
%exclude %{_bindir}/es2_info
%dir %{_datadir}/mesa-demos
%{_datadir}/mesa-demos/*

%changelog
* Wed Apr 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 8.4.0-3mamba
- rebuilt with libmesa

* Sat Aug 17 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 8.4.0-2mamba
- rebuilt

* Wed Mar 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 8.4.0-1mamba
- update to 8.4.0

* Fri Dec 11 2015 Automatic Build System <autodist@mambasoft.it> 8.3.0-1mamba
- automatic version update by autodist

* Thu Jul 02 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 8.2.0-3mamba
- force --disable-vg since libOpenVG is not provided by Mesa

* Sat Jun 20 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 8.2.0-2mamba
- rebuilt with mesa 10.5.7

* Sun Jul 06 2014 Automatic Build System <autodist@mambasoft.it> 8.2.0-1mamba
- automatic version update by autodist

* Fri May 10 2013 Automatic Build System <autodist@mambasoft.it> 8.1.0-1mamba
- automatic version update by autodist

* Sat Jun 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.1-6mamba
- also provide {egl,es1,es2}{info,gears} tools in mesa-tests package, which obsoletes mesa-tools
- 2012/11/11 edit (arm): patch eglut and es2gears to work on tegra platforms (https://wiki.ubuntu.com/ARM/TEGRA/AC100)

* Sun Feb 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.1-5mamba
- rebuilt with Mesa 8.0.1

* Tue Dec 13 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.1-4mamba
- workaround to fix build of egl demos

* Mon Jul 18 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.1-3mamba
- added buildrequirements for libEGL-devel and libGLw-devel

* Sun Feb 20 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.1-2mamba
- remove /usr/bin/clear to fix a conclict with ncurses

* Sat Feb 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.1-1mamba
- package created by autospec
